/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '@plateg/theme/styles/plateg-variables.less';
@import '@plateg/theme/styles/plateg-mixins.less';
.releaseNotes {
  height: 100%;
  width: 100%;
  .releaseNotesHeader {
    margin: -24px auto 0;
    background-color: #fff;
    section {
      .holder,
      .link-back-holder {
        max-width: 1296px;
        margin: 0 auto;
      }
    }

    .sub-title {
      font-size: 2rem;
      font-weight: normal;
      display: block;
      margin-bottom: 10px;
      color: @text-disabled-blue-4-bg;
    }
  }
  .releaseNotes-body {
    max-width: 1296px;
    margin: 0 auto;
    padding: 70px 0;
    strong.sub-title {
      color: @attribute-grey-color;
      font-size: 2rem;
      font-weight: normal;
    }
    h2 {
      margin: 5px 0 24px;
      font-size: 3rem;
    }
    .ant-collapse {
      background: none;
      margin-bottom: 50px;
      .ant-collapse-item {
        background-color: white;
        border: none;
        margin-bottom: 10px;
        border-radius: 8px;
        &.ant-collapse-item-active {
          background: #f7f9fe;
          box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
          .ant-collapse-header {
            border-bottom: 1px solid @platform-blue3;
          }
        }
      }
      .ant-collapse-header {
        font-weight: 500;
        font-size: 2.4rem;
        padding: 24px;
        p {
          margin: 0;
        }
        &:focus {
          .general-outline-layout;
        }
      }
      .ant-collapse-content-box {
        ul {
          li {
            margin-bottom: 10px;
          }
        }
      }
      .ant-collapse-arrow {
        top: 8px;
      }
    }
    .link-holder {
      text-align: center;
      .link-to-archive {
        color: @platform-blue1;
        &:hover,
        &:focus {
          color: @platform-btn-primary-color;
          svg path {
            fill: @platform-btn-primary-color;
          }
        }
      }
    }
  }
  .releaseNotes-tabs {
    max-width: 1296px;
    margin: 0 auto;
    .standard-tabs {
      margin-top: -125px;
    }
  }
}
